Last Comment Bug 717184 - Netvibes stopped working in nightlies
: Netvibes stopped working in nightlies
Status: RESOLVED FIXED
[mozfr]
: regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla12
Assigned To: Brian Hackett (:bhackett)
:
Mentors:
Depends on:
Blocks: 712714 717319
  Show dependency treegraph
 
Reported: 2012-01-11 00:42 PST by Pascal Chevrel:pascalc(PTO until Sept 2)
Modified: 2012-02-06 17:09 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
patch (2.77 KB, patch)
2012-01-11 16:45 PST, Brian Hackett (:bhackett)
dvander: review+
Details | Diff | Splinter Review

Description Pascal Chevrel:pascalc(PTO until Sept 2) 2012-01-11 00:42:46 PST
The Netvibe portal is no longer loading the content of your personal page in the latest nightlies (you need to sign up to their service to see it), instead of displaying your Netvibes home page, you get a "please wait a moment..." message.

using the mozregression tool, the regression happened yesterday, here is the result of the tool:

Last good nightly: 2012-01-09
First bad nightly: 2012-01-10

Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=9a230265bad5&tochange=c713003d3226

The error console throws 2 errors in the Nightly:
[09:39:37,062] a.$family is undefined @ http://cdn.netvibes.com/js/c/Netvibes.js?v=1359:1
[09:39:37,252] App.Start is not a function @ http://www.netvibes.com/privatepage/1#General:382

I do not see these errors when I use Firefox 9.0.1

(This problem was reported in the French Mozilla Community forums geckozone.org)
Comment 1 Alice0775 White 2012-01-11 04:26:07 PST
Regression window(m-i)
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/b6c60a28454d
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120107 Firefox/12.0a1 ID:20120109062923
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/7ab4f1ebc7cc
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120109 Firefox/12.0a1 ID:20120109063028
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=b6c60a28454d&tochange=7ab4f1ebc7cc

Triggered by:
7ab4f1ebc7cc	Brian Hackett — Backout 54cd89b0f1fa (bug 712714 backout). Talos will probably report fake regressions for this patch, do not back out for this reason.
Comment 2 Alice0775 White 2012-01-11 04:36:53 PST
It seems to work properly if I set javascript.options.methodjit.content to false.
Comment 3 antistress 2012-01-11 10:29:56 PST
Like Alice0775 White said above (#c2) setting javascript.options.methodjit.content to false allow NetVibes to work again on my machine (Mozilla/5.0 (X11; Linux x86_64; rv:12.0a1) Gecko/20120111 Firefox/12.0a1)
Comment 4 Pascal Chevrel:pascalc(PTO until Sept 2) 2012-01-11 12:25:31 PST
I believe this is also affecting jdfiddle.net and probably other sites

Similar js errors in the console:

[21:23:30,068] obj.$family is undefined @ http://jsfiddle.net/js/lib/mootools-1.2.5-core-json-fixed.js:261
[21:23:30,318] this.element.hide is not a function @ http://jsfiddle.net/js/EditorCM.js:48

setting javascript.options.methodjit.content to false is also a working solution for this site.
Comment 5 Brian Hackett (:bhackett) 2012-01-11 16:45:00 PST
Created attachment 587880 [details] [diff] [review]
patch

When generating code for property accesses that can invoke a getter hook on the object, there was a stupid test for the 'length' property to ensure that the necessary sync code was executed if the input is a string.  This special case broke with bug 712714, as now PICs can be generated for any property on strings in either the normal or call context.
Comment 6 Brian Hackett (:bhackett) 2012-01-11 17:43:34 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/ebb34e232577
Comment 7 Matt Brubeck (:mbrubeck) 2012-01-12 11:04:49 PST
https://hg.mozilla.org/mozilla-central/rev/ebb34e232577
Comment 8 Pascal Chevrel:pascalc(PTO until Sept 2) 2012-01-13 04:43:46 PST
Both Netvibes and jsfiddle work in today's nightly, thanks

Note You need to log in before you can comment on or make changes to this bug.